#include <sta/debug/spatz.hpp>

#ifdef STA_SPATZ_ENABLED

namespace sta
{
    namespace spatz
    {
        sta::Mutex * mutex_;

        void init(sta::Mutex * mutex)
        {
            mutex_ = mutex;
        }

        void request(uint8_t id, uint8_t * buffer, size_t length)
        {
            sta::lock_guard lock(*mutex_);

            Debug->println(id);
            Debug->read(buffer, length);
        }

        void request(uint8_t id, float * buffer, size_t length)
        {
            sta::lock_guard lock(*mutex_);

            Debug->println(id);
            Debug->read(buffer, length);
        }

        void request(uint8_t id, double * buffer, size_t length)
        {
            sta::lock_guard lock(*mutex_);

            Debug->println(id);
            Debug->read(buffer, length);
        }
    } // namespace spatz    
} // namespace sta

#endif // STA_SPATZ_ENABLED